<?xml version="1.0" encoding="utf-8" ?>

<?xml-stylesheet type="text/xsl" href="../test.xsl"?>


<article  format="2002.0312">

<article_head>
	<article_id>d30424</article_id>
	<article_date><year>2003</year><month>04</month><day>24</day></article_date>
	<article_addr><sect>7</sect><subsect>17</subsect></article_addr>
	<article_subj>OGM/OGG/MK*の現状</article_subj>
</article_head>

<article_body>

<h4>メモ</h4>
<h5>2003年4月24日</h5>

<p>
OGMは、DirectX 9によってDVobSubへの依存度が下がった。
Win2KでVMR9、
XPでVMR7/9を選択することで原因不明の「字幕が出ない」「ワードラップしない」といった不具合をかかえるユーザの一部が、
問題を解決できるようになった。
しかし多くのユーザは依然DVobSubを使っている。
</p>

<p>
OGGは、<a href="http://www.xiph.org/press/2003/ceo/">EmmettがCEOでなくなった</a>こともあって、やや先行きが不透明。
フリーの新しいビデオコーデックの話なので、やはりいちばん注目したい。
</p>

<p>
MK*は2003年5月1日にパブリックテスト版が公開予定。
これは動作する。MuxerとDSFとMPA2MKAの3点が公開されるだろう。
とりあえず使えるのはAがMP3、Vorbis、ひょっとしてAAC、VがDivX、XviDなど。
Muxer, DirectShowFilter とも、日本語環境でそこそこ動作する。
Muxerは速い。
（なかみが上記の組み合わせの場合）MKVファイルのDirectShowFilter（KAxDemux.dll）経由の再生でCPU負荷はOGMと同程度または少し高い。
VP3より（したがってたぶんOgg Theoraより）軽い。
おおむねCPU &gt;1GHz推奨となるだろう。
手元ではDivX+MP3は少しジッターが生じた。XviD+Vorbisはかなりスムーズだった。
手元ではMPCよりTCMPのほうが少し軽い。
現段階ではMKVで可能なことはすべてOGMで可能なので、単に将来的な期待があるというだけで、
乗り換える必要はない。
</p>

<p><a href="/matroska/misc/graph.png"><img src="/matroska/misc/graph1.png" alt="GraphEditのキャプチャ画像" width="639" height="240" /></a></p>

<p>
mpa2mkaは、まだ不安定だが、すでにGUIフロントエンドにこぎつけている。
MKAファイルは「再生できるものはとりあえず再生できる」という状態。
今のところMPAを再格納できるだけなので、MKAに変換する実用的な意味はまだ、ほとんどない。
TCMPとMPCがそこそこ動く。
WinampはMKAをMP1として扱ってしまう（ずれて音は鳴る）。
foobarは動かない。
</p>

<h5>2003年4月30日</h5>
<h6>現在のMKVが扱えるストリームの例</h6>
<p>オーディオ: mp3, vorbis, <strong>ac3</strong></p>
<p>ビデオ: divx3, divx5, xvid, <strong>vp3</strong></p>
<p>VirtualDubMod 1.5.1.1a [2003-04-24] + KAxDemux.dll [2003-04-23]</p>



<h4>追記</h4>
<p>
「<a href="/articles/7/24/#d30708">Matroska動画: 特徴と作成</a>」
3通りの実例で特徴を紹介、
後半では動画作成者向けに実際のMUX法を説明
</p>


</article_body>
</article>

